<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Interface and application programming</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">
  <!--padding -->
  <style>
  div {
    padding-top: 10px;
    padding-bottom: 10px;
  }
  </style>

</head>

<body>
  <div class="container">
    <div class="row">
      <div style="padding-top: 20px; padding-right: 20px; padding-bottom: 20px; padding-left: 20px"></div>
    </div>
  </div>

  	<div class="container">
  		<div class="row">
        <div class="col-lg-8 col-md-8">
          <div align="justify">



<h3 style="text-transform:uppercase;">Interface and application programming</h3>
<br>

<h5 style="text-decoration:underline;">Experiment with Processing</h5>
<p style="text-indent: 2.5em;">In this week we learn about how to make interface in variety ways. The program
  that I decide to use is processing. Processing is an open-source graphical library and integrated development environment 
  (IDE) built for the electronic arts, new media art, and visual design communities with the purpose of teaching non-programmers
  the fundamentals of computer programming in a visual context. Processing uses the Java language, with additional simplifications
  such as additional classes and aliased mathematical functions and operations. It also provides a graphical user interface for
  simplifying the compilation and execution stage.</p>


  <br>
  <p style="text-indent: 2.5em;">In the first experiment of this week, I try to make NoiseWave by processing, I try to change colour
    of wave that depend on my mouse position, live when I move mouse the colour has change. You will see in fill(R,G,B) I have change
    number of R and G to be mouseX and mouseY. You will see result in the video.</p>
  <img src="../images/fabacademy/interface/0.jpg" width="100%" align = 'center' >
  <video width="100%" height="100%"controls>
    <source src="../images/fabacademy/interface/2.mov" type="video/mp4">
    Your browser does not support the video tag.
  </video>   <br>
  <a href="../file/fab/interface/NoiseWavemy.zip">!Download Processing file click here!</a><br>
<br><br>

  <!-- jQuery -->
  <script src="../plugins/jQuery/jquery.min.js"></script>
  <!-- Bootstrap JS -->
  <script src="../../plugins/bootstrap/bootstrap.min.js"></script>
  <script src="../../plugins/aos/aos.js"></script>
  <script src="../../plugins/owl-carousel/owl.carousel.min.js"></script>
  <script src="../../plugins/shuffle/shuffle.min.js"></script>
  <script src="../../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
  <script src="../../plugins/animated-text/animated-text.js"></script>
  <script src="../../plugins/counto/apear.js"></script>
  <script src="../../plugins/counto/counTo.js"></script>

  <!-- Main Script -->
  <script src="js/script.js"></script>
  <p style="text-indent: 2.5em;">Second experiment, I try to make interactions motor graphic by coding. I code
    the circle and square first then try to make it move and change scale depend on the position that it move
     Also the colour of circle and square will change by position moving too. And I code it to start by use mouse
     click on the processing window that I put it below. I suggest you to click it. </p>
  <img src="../images/fabacademy/interface/1.png" width="100%" align = 'center' >
    <script src="../processing.min.js"></script>
    <canvas data-processing-sources="../sketch.pde"></canvas>
  <br>
  <a href="../file/fab/interface/sketch_200428a.zip">!Download Processing file click here!</a><br>
  <br>

    <p style="text-indent: 2.5em;">Third experiment. I try to make interactions graphic by coding too.
      For this time I try to make circle that will  increase the number and follow mouse that you move on the
      processing window. Also change colour depend on the position of mouse too. You can try on the processing
      window that I put it below. </p>
    <img src="../images/fabacademy/interface/2.png" width="100%" align = 'center' >
    <canvas data-processing-sources="../sketch_200428c.pde"></canvas>
  <br>
  <a href="../file/fab/interface/sketch_200428c.zip">!Download Processing file click here!</a><br>
  <br>

    <br>
    <p style="text-indent: 2.5em;">Forth experiment. I try to Write an application that interfaces a user with
      an input and output. That means, make an interface to visualize data or to activate outputs. In this case
      I try to make moving wave that depend on input that is potentiometer. When we rotate it will be activate
      the wave that will be higher and lower depend on potentiometer rotating. Also this action it affect to the
      out put too that I use LED to be output when the wave is high the light of led will be high. If the wave
      is low the light of LED well fade low too.</p>
      <img border="0" src="https://i.pinimg.com/originals/ba/b6/65/bab66559d568a3ae97b01eafc8c6cf1e.jpg"
      alt="coala" width="100%">
      <iframe width="560" height="315" src="https://www.youtube.com/embed/pIl7OU7nb5U" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>  <br>
       <br>
      <a href="../file/fab/interface/sketch_200502a.zip">!Download Processing file click here!</a><br>
      <br>
      <a href="../file/fab/interface/sketch_may02b.ino">!Download arduino file click here!</a><br>
      <br>


    </div>
  </div>
</div>
</div>



  </body>


  </html>
